coupang
GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories2609170000

查詢商品狀態變更紀錄

# 01

簡介

查詢商品狀態變更紀錄

# 02

詳細內容

消費者市場:韓國、台灣

使用已上架商品 ID(sellerProductId)查詢商品狀態變更紀錄。。

路徑

GET/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories

範例端點

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/seller-products/{sellerProductId}/histories

URL API Name

GET_PRODUCT_STATUS_HISTORY
# 03

Path 參數

NameTypeDescription
sellerProductId*number
註冊 ID(sellerProductId
# 04

Query 參數

NameTypeDescription
nextTokennumber
頁面

呼叫下一頁的 token 值

呼叫第一頁時,請不要輸入,或輸入「1」
maxPerPagenumber
每頁筆數

預設值:10
# 05

回應內容

回應訊息

NameTypeDescription
codestring
結果代碼

SUCCESS / ERROR
messagestring
結果資訊
nextTokenstring
下一頁

無下一頁時,保留為空字串
dataobject[]
狀態變更紀錄

依照狀態變更紀錄的次數重複
status
data[].status
string
  • 審核中
  • 暫存
  • 待審核
  • 已通過審核
  • 部分通過審核
  • 審核未通過
  • 商品已刪除
comment
data[].comment
string
狀態變更內容
createdBy
data[].createdBy
string
若為 SYSTEM,將由「Coupang Seller System」自動處理
createdAt
data[].createdAt
string
狀態變更時間

格式:「yyyy-MM-dd'T'HH:mm:ss」

Response Example

{
  "code": "200",
  "message": "",
  "data": [
    {
      "createdAt": "2015-09-02T09:41:25",
      "status": "待審核",
      "createdBy": "Coupang Seller System",
      "comment": "內容確認待處理"
    },
    {
      "createdAt": "2015-09-02T09:37:33",
      "status": "待審核",
      "createdBy": "박**",
      "comment": "請求策展人確認內容"
    },
    {
      "createdAt": "2015-09-02T09:30:11",
      "status": "待審核",
      "createdBy": "박**",
      "comment": "核准完成-Items 建立完成"
    },
    {
      "createdAt": "2015-08-31T07:42:30",
      "status": "待審核",
      "createdBy": "Coupang Seller System",
      "comment": "正在建立核准相關資訊"
    },
    {
      "createdAt": "2015-08-31T07:40:45",
      "status": "申請核准",
      "createdBy": "(주)5千원",
      "comment": "賣家核准申請"
    },
    {
      "createdAt": "2015-08-31T06:17:25",
      "status": "暫時儲存",
      "createdBy": "(주)5千원",
      "comment": "賣家暫時儲存"
    }
  ]
}
# 06

錯誤碼

HTTP代碼訊息
--